
#ifndef LESTER_LARGEONION_H
#define LESTER_LARGEONION_H

#include "Rabbit.hh"
#include <ipc/object.h>

class LargeOnion : public IPCNamedObject<POA_Stew::Onion, ipc::multi_thread> {

public:
  LargeOnion() :
    IPCNamedObject<POA_Stew::Onion, ipc::multi_thread>(IPCPartition("SCT"),
                                                       "LargeOnionName") {
    std::cout << "Publishing LargeOnion ..." << std::endl;
    publish();
  };

 public:
  virtual void shutdown() {
    std::cout << "I was asked to shut my LargeOnion down!" << std::endl;
  };

 public:
  ~LargeOnion() {
    std::cout << "~LargeOnion()" << std::endl;
  };

};

#endif 
